Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.dsp.management.utils
Class Utils

    java.lang.Object
      com.bea.dsp.management.utils.Utils

    public final class Utils

extends java.lang.Object

Exclude:

Method Summary
`static
`<T> java.util.List<T>`
` | `createNonNullList(java.util.List<T> list)`
`static
`<K,V> java.util.Map<K,V>`
` | `createNonNullMap(java.util.Map<K,V> map)`
`static
`<T> java.util.Set<T>`
` | `createNonNullSet(java.util.Set<T> set)`
`static boolean` | `isEmpty(java.lang.String str)`
`static boolean` | `isNullSafeEquals(java.lang.Object obj1, java.lang.Object obj2)`
`static java.lang.String` | `trimToNull(java.lang.String str)` Trim the string and if the resulting string is empty then return null.
`static void` | `validateNonNullElementList(java.util.List<?> list)`
`static void` | `validateNonNullElementSet(java.util.Set<?> set)`
`static void` | `validateNonNullKeyValueMap(java.util.Map<?,?> map)`
`static java.lang.String` | `xmlObjectToString(org.apache.xmlbeans.XmlObject xmlObject)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createNonNullList

    public static <T> java.util.List<T> createNonNullList(java.util.List<T> list)

### createNonNullSet

    public static <T> java.util.Set<T> createNonNullSet(java.util.Set<T> set)

### validateNonNullElementList

    public static void validateNonNullElementList(java.util.List<?> list)
                                           throws ValidationException

  Throws:
    `ValidationException`

### validateNonNullElementSet

    public static void validateNonNullElementSet(java.util.Set<?> set)
                                          throws ValidationException

  Throws:
    `ValidationException`

### createNonNullMap

    public static <K,V> java.util.Map<K,V> createNonNullMap(java.util.Map<K,V> map)

### validateNonNullKeyValueMap

    public static void validateNonNullKeyValueMap(java.util.Map<?,?> map)
                                           throws ValidationException

  Throws:
    `ValidationException`

### xmlObjectToString

    public static java.lang.String xmlObjectToString(org.apache.xmlbeans.XmlObject xmlObject)

### isEmpty

    public static boolean isEmpty(java.lang.String str)

### trimToNull

    public static java.lang.String trimToNull(java.lang.String str)

  Trim the string and if the resulting string is empty then return null.

  Parameters:
    `str` -
  Returns:

### isNullSafeEquals

    public static boolean isNullSafeEquals(java.lang.Object obj1,
                                           java.lang.Object obj2)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Oracle. All Rights Reserved.